Name: H5Sget_select_hyper_nblocks
Signature:
  hssize_t `H5Sget_select_hyper_nblocks`(hid_t `space_id` )
Purpose:
  Get number of hyperslab blocks.
Description:
  `H5Sget_select_hyper_nblocks` returns the number of hyperslab blocks in the current dataspace selection.
Parameters:

hid_t `space_id` | IN: Identifier of dataspace to query.

Returns:
  Returns the number of hyperslab blocks in the current dataspace selection if successful. Otherwise returns a negative value.
Fortran90 Interface: h5sget_select_hyper_nblocks_f

      SUBROUTINE h5sget_select_hyper_nblocks_f(space_id, num_blocks, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id ! Dataspace identifier
        INTEGER, INTENT(OUT) :: num_blocks     ! Number of hyperslab blocks in
                                               ! the current hyperslab selection
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
      END SUBROUTINE h5sget_select_hyper_nblocks_f